Runtime

## org.eclipse.gmf.runtime.diagram.ui.tools
Class DragEditPartsTrackerEx

    java.lang.Object
      org.eclipse.gef.util.FlagSupport
          org.eclipse.gef.tools.AbstractTool
              org.eclipse.gef.tools.TargetingTool
                  org.eclipse.gef.tools.SelectEditPartTracker
                      org.eclipse.gef.tools.DragEditPartsTracker
                          org.eclipse.gmf.runtime.diagram.ui.tools.DragEditPartsTrackerEx

All Implemented Interfaces:
  DragTracker, RequestConstants, Tool

public class DragEditPartsTrackerEx
extends DragEditPartsTracker

A dervied DragEditPartsTRacker that sends REQ_DRAG instead of REQ_ORPHAN and REQ_DROP instead of REQ_ADD

Nested Class Summary

Nested classes inherited from class org.eclipse.gef.tools.AbstractTool
`AbstractTool.Input`

Field Summary

Fields inherited from class org.eclipse.gef.tools.DragEditPartsTracker
`MAX_FLAG`

Fields inherited from class org.eclipse.gef.tools.SelectEditPartTracker
`FLAG_SELECTION_PERFORMED`

Fields inherited from class org.eclipse.gef.tools.AbstractTool
`MAX_STATE, MOUSE_BUTTON_ANY, MOUSE_BUTTON1, MOUSE_BUTTON2, MOUSE_BUTTON3, PROPERTY_UNLOAD_WHEN_FINISHED, STATE_ACCESSIBLE_DRAG, STATE_ACCESSIBLE_DRAG_IN_PROGRESS, STATE_DRAG, STATE_DRAG_IN_PROGRESS, STATE_INITIAL, STATE_INVALID, STATE_TERMINAL`

Fields inherited from interface org.eclipse.gef.RequestConstants
`REQ_ADD, REQ_ALIGN, REQ_ALIGN_CHILDREN, REQ_CLONE, REQ_CONNECTION_END, REQ_CONNECTION_START, REQ_CREATE, REQ_CREATE_BENDPOINT, REQ_DELETE, REQ_DELETE_DEPENDANT, REQ_DIRECT_EDIT, REQ_MOVE, REQ_MOVE_BENDPOINT, REQ_MOVE_CHILDREN, REQ_OPEN, REQ_ORPHAN, REQ_ORPHAN_CHILDREN, REQ_RECONNECT_SOURCE, REQ_RECONNECT_TARGET, REQ_RESIZE, REQ_RESIZE_CHILDREN, REQ_SELECTION, REQ_SELECTION_HOVER`

Constructor Summary
`DragEditPartsTrackerEx(EditPart sourceEditPart)`

Method Summary
`protected void` `addSourceCommands(boolean isMove, CompoundCommand command)` Collects the move/drag commands from the operation set
`protected Cursor` `calculateCursor()`
`protected void` `executeCurrentCommand()`
`protected Command` `getCommand()`
`protected java.lang.String` `getCommandName()`
`protected boolean` `handleDragInProgress()`
`protected boolean` `isMove()` If the source is not in the operation set, it is not a move
`protected void` `reveal(EditPart editpart)`

Methods inherited from class org.eclipse.gef.tools.DragEditPartsTracker
`commitDrag, createOperationSet, createTargetRequest, deactivate, eraseSourceFeedback, getDebugName, getDefaultCursor, getExclusionSet, handleAutoexpose, handleButtonUp, handleHover, handleInvalidInput, handleKeyDown, handleKeyUp, isCloneActive, performDrag, repairStartLocation, setAutoexposeHelper, setCloneActive, setState, setTargetEditPart, showSourceFeedback, updateTargetRequest`

Methods inherited from class org.eclipse.gef.tools.SelectEditPartTracker
`getSourceEditPart, handleButtonDown, handleDoubleClick, handleDragStarted, hasSelectionOccurred, performConditionalSelection, performDirectEdit, performOpen, performSelection, resetFlags, setSourceEditPart`

Methods inherited from class org.eclipse.gef.tools.TargetingTool
`doAutoexpose, eraseTargetFeedback, getAutoexposeHelper, getTargetEditPart, getTargetingConditional, getTargetRequest, handleEnteredEditPart, handleExitingEditPart, handleHoverStop, handleLeavingEditPart, handleViewerExited, isShowingTargetFeedback, isTargetLocked, lockTargetEditPart, setTargetRequest, showTargetFeedback, unlockTargetEditPart, updateAutoexposeHelper, updateTargetUnderMouse`

Methods inherited from class org.eclipse.gef.tools.AbstractTool

`activate, addFeedback, applyProperty, debug, executeCommand, focusGained, focusLost, getCurrentCommand, getCurrentInput, getCurrentViewer, getDebugNameForState, getDisabledCursor, getDomain, getDragMoveDelta, getLocation, getOperationSet, getStartLocation, getState, handleCommandStackChanged, handleDrag, handleFinished, handleFocusGained, handleFocusLost, handleKeyTraversed, handleMove, handleNativeDragFinished, handleNativeDragStarted, handleViewerEntered, isActive, isHoverActive, isInState, isViewerImportant, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, movedPastThreshold, nativeDragFinished, nativeDragStarted, performViewerMouseWheel, reactivate, refreshCursor, releaseToolCapture, removeFeedback, setCurrentCommand, setCursor, setDefaultCursor, setDisabledCursor, setEditDomain, setHoverActive, setProperties, setStartLocation, setToolCapture, setUnloadWhenFinished, setViewer, stateTransition, unloadWhenFinished, viewerEntered, viewerExited`

Methods inherited from class org.eclipse.gef.util.FlagSupport
`getFlag, setFlag`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface org.eclipse.gef.Tool
`activate, focusGained, focusLost, keyDown, keyTraversed, keyUp, mouseDoubleClick, mouseDown, mouseDrag, mouseHover, mouseMove, mouseUp, mouseWheelScrolled, nativeDragFinished, nativeDragStarted, setEditDomain, setProperties, setViewer, viewerEntered, viewerExited`

Constructor Detail

### DragEditPartsTrackerEx

    public DragEditPartsTrackerEx(EditPart sourceEditPart)

Parameters:
  `sourceEditPart` -

Method Detail

### getCommand

    protected Command getCommand()

  See Also:
    `AbstractTool.getCommand()`

### addSourceCommands

    protected void addSourceCommands(boolean isMove,
                                     CompoundCommand command)

  Collects the move/drag commands from the operation set

  Parameters:
    `isMove` -
    `command` -

### getCommandName

    protected java.lang.String getCommandName()

  See Also:
    `AbstractTool.getCommandName()`

### isMove

    protected boolean isMove()

  If the source is not in the operation set, it is not a move

  See Also:
    `DragEditPartsTracker.isMove()`

### executeCurrentCommand

    protected void executeCurrentCommand()

### reveal

    protected void reveal(EditPart editpart)

  Parameters:
    `editpart` -

### handleDragInProgress

    protected boolean handleDragInProgress()

### calculateCursor

    protected Cursor calculateCursor()

Runtime

Guidelines for using Eclipse APIs.

Copyright (c) IBM Corp., Borland Software Corp., and others 2005,2006. All rights reserved.